package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_ClassGlobSpec_toGlobSpec extends GlobVisitor {
  public __V_ClassGlobSpec_toGlobSpec() {
    super();
  }
 OneGlob one; GlobSet set; 
  public void before(ClassGlob host) {
      if (one == null) {
	one = new OneGlob(host);
      } else {
	if (set == null) {
	  set = new GlobSet();
	  set.addElement(one.get_glob());
	}
	set.addElement(host);
      }
    }
  GlobSpec get_return_val() { return one == null ? (GlobSpec) new GlobSet() :
	      set == null ? (GlobSpec) one : (GlobSpec) set ; }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {
    super.universal_trv0_bef(_v_);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    super.universal_trv0_aft(_v_);
  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    super.universal_trv0(_v_);
    universal_trv0_aft(_v_);
  }

}
